
<script src="{$wa_app_static_url}js/financialOperations.js?v={$wa->version()}" type="text/javascript"></script>
<script>
    $.manufactory.financialOperations.setAction('cash');
    $.manufactory.financialOperations.setCategories('income',{json_encode($income_categories)});
    $.manufactory.financialOperations.setCategories('expense',{json_encode($expense_categories)});
</script>
<div class="financial-operations">
    <div class="block all">
        <div class="total" id="all">
            <h1>На руках: <span class="amount">{$balances['all']} руб.</span></h1>
        </div>
        {foreach $contacts as $id => $v}
        <div class="sub-block contact" id="contact-{$id}" data-id="{$id}">
            <h2>
                <span class="toggle" data-toggle="contact-detail-{$id}">
                     {$wa->contact($id)->get('lastname')}
                </span>
                <span class="amount">{$v['amount']} руб.</span>
            </h2>
            <div id="contact-detail-{$id}" class="hide">
                {foreach $v['operations'] as $opv}
                <div class="operation operation-{$opv.id}" data-id="{$opv.id}" >
                    <span class="operation-info"><i class="icon16 info"></i></span>
                    <span class="operation-date">{$opv.create_datetime|wa_date}</span>
                    <span class="operation-name">{$opv.name}</span>
                    <span class="operation-amount">{$opv.amount}</span>
                </div>
                {/foreach}
            </div>
        </div>
        {/foreach}
        <div class="clear-both"></div>
    </div>
    <div class="block income"  data-type="income">
        <div id="income">
            <h1><a href="#" class="add-category"><i class="icon16 add"></i></a>
                <span class="toggle" data-toggle="income-detail">Доходы:</span>
                <a href="#" class="add-operation"><span class="amount">{$balances['income']} руб.</span></a>
            </h1>
        </div>
        <div id="income-detail" class=" sub-blocks">
            <ul>
                {foreach $income_categories as $k=> $v}
                <li>
                    {if $v.type=='group'}
                    <div class="sub-block category" id="category-{$v.id}" data-id="{$v.id}">
                        <div class="category-name">
                            <h2>
                                <a href="#" class="add-category" data-type="category" data-parent_category_id="{$v.id}"><i class="icon16 add"></i></a>
                                <span class="toggle" data-toggle="category-detail-{$v.id}">{$v.name}</span>
                                <a href="#" class="add-operation">
                                    <span class="amount">{$v.amount} руб.</span>
                                </a>
                            </h2>
                        </div>
                        <div id="category-detail-{$v.id}" class="category-detail hide">
                            {if !empty($v.categories)}
                            {$subcategories = $v.categories}
                            {foreach $subcategories as $subv}
                            <div class="category"  id="category-{$subv.id}" data-parent_category_id="{$v.id}" data-id="{$subv.id}">
                                <div class="category-name">
                                    <h3>
                                        <span class="toggle" data-toggle="category-detail-{$subv.id}">{$subv.name}</span>

                                        <a href="#" class="add-operation"><span class="amount">{$subv.amount} руб.</span></a>
                                    </h3>
                                </div>
                                <div class="category-detail hide" id="category-detail-{$subv.id}">
                                    {$operations = $subv.operations}
                                    {foreach $operations as $opv}
                                    <div class="operation" data-id="{$opv.id}" id="operation-{$opv.id}">
                                        <span class="operation-info"><i class="icon16 info"></i></span>
                                        <span class="operation-date">{$opv.create_datetime|wa_date}</span>
                                        <span class="operation-name">{$opv.name}</span>
                                        <span class="operation-amount">{$opv.amount}</span>
                                    </div>
                                    {/foreach}
                                </div>
                            </div>
                            {/foreach}
                            {/if}
                        </div>
                    </div>
                    {else}
                    <div class="sub-block category"  id="category-{$v.id}" data-id="{$v.id}">
                        <div class="category-name">
                            <h2>
                                <span class="toggle" data-toggle="category-detail-{$v.id}">{$v.name}</span>
                                <a href="#" class="add-operation"> <span class="amount">{$v.amount} руб.</span></a>
                            </h2>
                        </div>
                        <div class="category-detail hide" id="category-detail-{$v.id}">
                            {$operations = $v.operations}
                            {foreach $operations as $opv}
                            <div class="operation" data-id="{$opv.id}" id="operation-{$opv.id}">
                                <span class="operation-info"><i class="icon16 info"></i></span>
                                <span class="operation-date">{$opv.create_datetime|wa_date}</span>
                                <span class="operation-name">{$opv.name}</span>
                                <span class="operation-amount">{$opv.amount}</span>
                            </div>
                            {/foreach}
                        </div>
                    </div>
                    {/if}
                </li>
                {/foreach}
            </ul>
            <div class="clear-both"></div>
        </div>
    </div>

    <div class="block expense"  data-type="expense">
        <div id="expense">
            <h1><a href="#" class="add-category"><i class="icon16 add"></i></a>
                <span class="toggle" data-toggle="expense-detail">Расходы:</span>
                <a href="#" class="add-operation"> <span class="amount">{$balances['expense']} руб.</span></a>
            </h1>
        </div>
        <div id="expense-detail" class="hide sub-blocks">
            <ul>
            {foreach $expense_categories as $k=> $v}
                <li>
            {if $v.type=='group'}
            <div class="sub-block category" id="category-{$v.id}" data-id="{$v.id}">
                <div class="category-name">
                    <h2>
                        <a href="#" class="add-category" data-type="category" data-parent_category_id="{$v.id}"><i class="icon16 add"></i></a> <span class="toggle" data-toggle="category-detail-{$v.id}">{$v.name}</span>
                        <a href="#" class="add-operation"><span class="amount">{$v.amount} руб.</span></a>
                    </h2>
                </div>
                <div id="category-detail-{$v.id}" class="category-detail hide">
                    {if !empty($v.categories)}
                    {$subcategories = $v.categories}
                    {foreach $subcategories as $subv}
                    <div class="category"  id="category-{$subv.id}" data-parent_category_id="{$v.id}" data-id="{$subv.id}">
                        <div class="category-name">
                            <h3>
                                <span class="toggle" data-toggle="category-detail-{$subv.id}">{$subv.name}</span>

                                <a href="#" class="add-operation"><span class="amount">{$subv.amount} руб.</span></a>
                            </h3>
                        </div>
                        <div class="category-detail hide" id="category-detail-{$subv.id}">
                            {$operations = $subv.operations}
                            {foreach $operations as $opv}
                            <div class="operation operation-{$opv.id}" data-id="{$opv.id}">
                                <span class="operation-info"><i class="icon16 info"></i></span>
                                <span class="operation-date">{$opv.create_datetime|wa_date}</span>
                                <span class="operation-name">{$opv.name}</span>
                                <span class="operation-amount">{$opv.amount}</span>
                            </div>
                            {/foreach}
                        </div>
                    </div>
                    {/foreach}
                    {/if}
                </div>
            </div>
            {else}
            <div class="sub-block category"  id="category-{$v.id}" data-id="{$v.id}">
                <div class="category-name" >
                    <h2>
                        <span class="toggle" data-toggle="category-detail-{$v.id}">{$v.name}</span>
                        <a href="#" class="add-operation"><span class="amount">{$v.amount} руб.</span></a>
                    </h2>
                </div>
                <div class="category-detail hide" id="category-detail-{$v.id}">
                    {$operations = $v.operations}
                    {foreach $operations as $opv}
                    <div class="operation operation-{$opv.id}" data-id="{$opv.id}">
                        <span class="operation-info"><i class="icon16 info"></i></span>
                        <span class="operation-date">{$opv.create_datetime|wa_date}</span>
                        <span class="operation-name">{$opv.name}</span>
                        <span class="operation-amount">{$opv.amount}</span>
                    </div>
                    {/foreach}
                </div>
            </div>
            {/if}
             </li>
            {/foreach}
             </ul>
            <div class="clear-both"></div>
        </div>
    </div>
</div>